- Main Page
- Classes
- Files

- Class List
- Class Members

# tgaFileHeader Struct Reference

List of all members.

## Public Attributes
u8 | tgaIdentSize
u8 | tgaPaletteType
u8 | tgaImageType
u16 | tgaPaletteStart
u16 | tgaPaletteLen
u8 | tgaPaletteBPP
s16 | tgaXStart
s16 | tgaYStart
u16 | tgaWidth
u16 | tgaHeight
u8 | tgaBPP
u8 | tgaDescriptor

## Detailed Description

Definition at line 18 of file flTextureTGA.c.

## Member Data Documentation

u8 tgaFileHeader::tgaIdentSize

Definition at line 19 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u8 tgaFileHeader::tgaPaletteType

Definition at line 20 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u8 tgaFileHeader::tgaImageType

Definition at line 21 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u16 tgaFileHeader::tgaPaletteStart

Definition at line 22 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u16 tgaFileHeader::tgaPaletteLen

Definition at line 23 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u8 tgaFileHeader::tgaPaletteBPP

Definition at line 24 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

s16 tgaFileHeader::tgaXStart

Definition at line 25 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

s16 tgaFileHeader::tgaYStart

Definition at line 26 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u16 tgaFileHeader::tgaWidth

Definition at line 27 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u16 tgaFileHeader::tgaHeight

Definition at line 28 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u8 tgaFileHeader::tgaBPP

Definition at line 29 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

u8 tgaFileHeader::tgaDescriptor

Definition at line 30 of file flTextureTGA.c.

Referenced by texLoadTGA(), and texSaveTGA().

The documentation for this struct was generated from the following file:

- flTextureTGA.c